//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIMachineCodeScannerBehaviorConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let flashEnabled = dictionary["flashEnabled"] as? Bool {
            self.isFlashEnabled = flashEnabled
        }
        
        if let successBeepEnabled = dictionary["successBeepEnabled"] as? Bool {
            self.isSuccessBeepEnabled = successBeepEnabled
        }
        
        if let barcodeImageGenerationTypeString = dictionary["barcodeImageGenerationType"] as? String {
            self.barcodeImageGenerationType = SBSDKBarcodeImageGenerationType(from: barcodeImageGenerationTypeString)
        }
    }
}
