//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation

struct SDKInitializationConfig {
    
    let isLoggingEnabled: Bool
    let licenseCode: String
    let storageBaseDirectory: URL?

    init?(from dictionary: [String: Any]) {
        self.licenseCode = (dictionary["licenseKey"] as? String) ?? ""
        self.isLoggingEnabled = (dictionary["loggingEnabled"] as? Bool) ?? false
        
        if let url = dictionary["storageBaseDirectory"] as? String {
            self.storageBaseDirectory = URL(fileURLWithPath: url, isDirectory: true)
        } else {
            self.storageBaseDirectory = nil
        }
    }
}
